Subject: bug#47425: 26.3; `plist-get', `plist-put' should accept a TEST function

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 27 Jun 2022 15:35:27 +0200

Mattias Engdegård <[email-masked]> writes:

> But the point is that alists has several more advantages: counting
> number of keys is twice as fast,

Nobody does that either.  😀

> iterating and/or transform the collection easily done with mapcar,
> mapcan, dolist, mapc etc. Plists have no real advantage from their
> structure.

Yes, it's true that we have a lot more infrastructure that's geared
towards simple lists, and you can use those more easily with alists.
But mapcar etc aren't idea for alists, either.  We do have `on' in
`cl-loop'.  Adding some syntax to pcase for plists might be nice.
(I.e., for pcase-dolist etc.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no